Unit tgsr2r_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc, UtRes_p, GSR2R_p;

function tgsr2r: String; 

implementation

function tgsr2r: String;
var
NX,N,IP,ISEED,_i,IERR :Integer;
R :Array [0..2] of Real;
const
T :Array [0..29] of Real = ( 0.0,0.6,2.0,4.2,7.2,11.0,0.0,0.2,0.4,0.6,0.8,
1.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,
0.0,0.0,0.0,0.0,0.0,0.0,0.0 );
begin
Result := '';
NX := 6;
N := 3;
IP := 0;
ISEED := 12457;
GSR2R(ISEED,N,R,T,NX,IP,IERR);
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%20.16f ',[R[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%5d %5d',[IP,IERR]) + #$0D#$0A;
UtRes('tgsr2r',Result);  {     tgsr2r.res }
exit;
end;

end.
